﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace OutLookSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.outlookBar.ItemsSource = new ObservableCollection<DataItem>()
            {
                new DataItem(){Name = "Item A"},
                new DataItem(){Name = "Item B"},
                new DataItem(){Name = "Item C"},
                new DataItem(){Name = "Item D"},
                new DataItem(){Name = "Item E"},
            };
        }

        private void outlookBar_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            this.LayoutRoot.ColumnDefinitions[0].Width = new GridLength(this.outlookBar.Width);
        }

        private void comboSorter_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if ((sender as ComboBox).SelectedItem == this.asc)
            {
                ObservableCollection<DataItem> collection = this.outlookBar.ItemsSource as ObservableCollection<DataItem>;
                this.outlookBar.ItemsSource = new ObservableCollection<DataItem>(collection.OrderBy(x => x.Name));
            }
            else if ((sender as ComboBox).SelectedItem == this.desc)
            {
                ObservableCollection<DataItem> collection = this.outlookBar.ItemsSource as ObservableCollection<DataItem>;
                this.outlookBar.ItemsSource = new ObservableCollection<DataItem>(collection.OrderByDescending(x => x.Name));
            }
        }
    }
}
